.index {
    position: relative;
    height: 100vh;
    width: 100%;
    background: linear-gradient(to right, rgb(29, 75, 174), rgba(219, 71, 53, 0.85));
    padding: 1.875rem 1.25rem;
    overflow-x: hidden;
}

.main {
    width: 90%;
    padding: 1rem 1.125rem;
    border-radius: 4px;
    background: #fff;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.p1 {
    font-size: 1rem;
    margin-top: 0.6rem;
    margin-bottom: 2rem;
    text-align: center;
    font-weight: bold;
}

.input-shell {
    display: flex;
    margin-bottom: 15px;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 5px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
}

.input-shell p {
    position: relative;
    font-size: 14px;
    width: 70px;
    text-align: right;
}

.input-shell p::after {
    position: absolute;
    display: block;
    content: ":";
    right: -10px;
    height: 100%;
    top: 0;
}

.input-shell input,
.input-shell select {
    background: none;
    width: calc(100% - 100px);
    padding: 8px 0;
    color: #333;
    font-size: 14px;
    text-align: center;
    text-transform: uppercase;
}

input::-webkit-input-placeholder {
    color: #999;
}

.select-shell {
    position: relative;
}

.select-shell .active-div {
    position: absolute;
    width: calc(100% - 80px);
    height: 100%;
    top: 0;
    right: 0;
}

.required {
    position: relative;
}

.required::after {
    position: absolute;
    display: block;
    content: "*";
    left: 70px;
    top: 0;
    color: red;
}

.btn-shell {
    text-align: center;
    margin-top: 1.5625rem;
    margin-bottom: .875rem;
}

.sub-btn {
    width: 100%;
    border-radius: .625rem;
    padding: .625rem 0;
    text-align: center;
    color: #fff;
    font-size: 14px;
    background: rgb(29, 75, 174);
}

.sub-btn:active {
    opacity: .7;
}

#launch-btn {
    position: absolute;
    width: 93%;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
}

#launch-btn button {
    box-shadow: none;
}

/* 搜索界面 */
.search-shell {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    transition: all .3s;
    background: white;
}

.hidden-search {
    left: -100%;
}

.search-shell .search {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    height: 50px;
    width: 100%;
    margin: 0 auto;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    z-index: 10;
}

.search-shell .search-blank {
    height: 50px;
}

.search-shell input {
    display: inline-block;
    width: calc(100% - 200px);
    margin: 0 auto;
    padding: 0 30px;
    background: none;
    border: none;
    font-size: 14px;
    color: #333;
    text-align: center;
    background: url('/images/search.png') left center no-repeat;
    background-size: 20px;
}

.search-shell .back-btn {
    position: absolute;
    left: 0;
    top: 0;
    width: 50px;
    height: 50px;
    background: url('/images/back.png') center no-repeat;
    background-size: 20px;
}


.search-shell .list {
    width: 100%;
    height: calc(100% - 50px);
    overflow-y: auto;
}

.search-shell li {
    padding: 13px 10px;
    font-size: 14px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}

.search-shell li:active {
    background: rgba(0, 0, 0, 0.05);
}

.search-shell .over,
.search-shell .blank {
    text-align: center;
    box-shadow: none;
    color: #999;
}

.search-shell .blank {
    margin-top: 200px;
}

@media (min-width: 500px) {
    .index {
        width: 375px;
        margin: 0 auto;
    }
}